Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class DelegatingMutablePicoContainerTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractPicoContainerTest
          org.picocontainer.containers.DelegatingMutablePicoContainerTestCase

    public class DelegatingMutablePicoContainerTestCase

extends AbstractPicoContainerTest

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`AbstractPicoContainerTest.ComponentA, AbstractPicoContainerTest.ComponentB, AbstractPicoContainerTest.ComponentC, AbstractPicoContainerTest.ComponentD, AbstractPicoContainerTest.ComponentE, AbstractPicoContainerTest.ComponentF, AbstractPicoContainerTest.ContainerDependency, AbstractPicoContainerTest.DerivedTouchable, AbstractPicoContainerTest.JMSService, AbstractPicoContainerTest.LifeCycleMonitoring, AbstractPicoContainerTest.ListAdder, AbstractPicoContainerTest.NeedsTouchable, AbstractPicoContainerTest.NeedsWashable, AbstractPicoContainerTest.NonGreedyClass, AbstractPicoContainerTest.RecordingStrategyVisitor, AbstractPicoContainerTest.TestBehavior, AbstractPicoContainerTest.TestLifecycleComponent`

Constructor Summary
`DelegatingMutablePicoContainerTestCase()`

Method Summary
`protected org.picocontainer.MutablePicoContainer` | `createPicoContainer(org.picocontainer.PicoContainer parent)`
`protected Properties[]` | `getProperties()`
`void` | `testAcceptImplementsBreadthFirstStrategy()`

Methods inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`addContainers, addDefaultComponentFactories, createPicoContainerWithDependsOnTouchableOnly, createPicoContainerWithTouchableAndDependsOnTouchable, testAcceptIsAbortable, testAggregatedVerificationException, testAmbiguousDependencies, testAmbiguousResolution, testBasicInstantiationAndContainment, testComponentAdapterRegistrationOrderIsMaintained, testComponentInstancesFromParentsAreNotDirectlyAccessible2, testContainerCascadesDefaultLifecycle, testContainerIsSerializable, testCyclicDependencyThrowsCyclicDependencyException, testCyclicDependencyThrowsCyclicDependencyExceptionWithParentContainer, testDuplicateRegistration, testExternallyInstantiatedObjectsCanBeRegisteredAndLookedUp, testGettingComponentWithMissingDependencyFails, testLookupWithUnregisteredKeyReturnsNull, testLookupWithUnregisteredTypeReturnsNull, testMakingOfChildContainer, testMakingOfChildContainerPercolatesLifecycleManager, testNoArgConstructorToBeSelected, testPico52, testRegisterComponentWithObjectBadType, testRegisteredComponentsExistAndAreTheCorrectTypes, testRegistersSingleInstance, testRemovalNonRegisteredComponentAdapterWorksAndReturnsNull, testSameInstanceCanBeUsedAsDifferentTypeWhenCaching, testSerializedContainerCanRetrieveImplementation, testShouldCascadeStartStopAndDisposeToChild, testShouldReturnNonMutableParent, testShouldReturnNullForComponentAdapterOfUnregisteredType, testShouldReturnNullWhenUnregistereingUnmanagedComponent, testStartStopAndDisposeCascadedtoChildren, testStartStopAndDisposeNotCascadedtoRemovedChildren, testUnsatisfiableDependenciesExceptionGivesUnsatisfiedDependencyTypes, testUnsatisfiableDependenciesExceptionGivesVerboseEnoughErrorMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingMutablePicoContainerTestCase

    public DelegatingMutablePicoContainerTestCase()

Method Detail

### createPicoContainer

    protected org.picocontainer.MutablePicoContainer createPicoContainer(org.picocontainer.PicoContainer parent)

  Specified by:
    `createPicoContainer` in class `AbstractPicoContainerTest`

### getProperties

    protected Properties[] getProperties()

  Specified by:
    `getProperties` in class `AbstractPicoContainerTest`

### testAcceptImplementsBreadthFirstStrategy

    public void testAcceptImplementsBreadthFirstStrategy()

  Overrides:
    `testAcceptImplementsBreadthFirstStrategy` in class `AbstractPicoContainerTest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.